import lodash from 'lodash'
import { interact } from '../../utils'
import apis from '../../config/api'

export default {
  namespaced: true,
  state: {},
  actions: {
    uploadImg (_, payload) {
      return new Promise((resolve, reject) => {
        const api = lodash.get(apis, 'file.upload')
        interact(api, payload).then((data) => {
          resolve(data)
        }).catch(({ message }) => {
          if (typeof message === 'string') {
            reject(message)
          }
        })
      })
    },
  }
}